/[escript]/trunk/run-escript.in
ViewVC logotype

Annotation of /trunk/run-escript.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 6651 - (hide annotations)
Wed Feb 7 02:12:08 2018 UTC (15 months, 1 week ago) by jfenwick
File size: 14197 byte(s)
Make everyone sad by touching all the files

Copyright dates update

1 caltinay 4927 #!/usr/bin/env sh
2 jfenwick 2409
3 caltinay 5266 ##############################################################################
4     #
5 jfenwick 6651 # Copyright (c) 2003-2018 by The University of Queensland
6 caltinay 5266 # http://www.uq.edu.au
7     #
8     # Primary Business: Queensland, Australia
9 jfenwick 6112 # Licensed under the Apache License, version 2.0
10     # http://www.apache.org/licenses/LICENSE-2.0
11 caltinay 5266 #
12     # Development until 2012 by Earth Systems Science Computational Center (ESSCC)
13     # Development 2012-2013 by School of Earth Sciences
14     # Development from 2014 by Centre for Geoscience Computing (GeoComp)
15     #
16     ##############################################################################
17 jfenwick 2409
18 caltinay 5266 # Escript wrapper for python
19     # Sets LD_LIBRARY_PATH and PYTHONPATH and then runs either python or the MPI
20     # launcher.
21 jfenwick 2409
22 caltinay 5266 # Extra paths can be configured about a page further down
23     # Search for EXTRA_PATH=""
24    
25     # set to 1 if this is part of a packaged build (.deb) and files will be
26     # installed in standard locations rather than everything in a single directory
27 jfenwick 6493 STDLOCATION=@@STDLOCATION
28 jfenwick 2409
29 caltinay 5266 # Now we find the location of this script
30     # Note that this location should be absolute but does not need to be unique
31 jfenwick 2409 scriptdir=""
32 caltinay 4970 CURDIR=$(pwd)
33 jfenwick 2409
34 caltinay 5266 # Environment vars which control operations:
35 jfenwick 2409 # ESCRIPT_NUM_NODES, ESCRIPT_NUM_PROCS, ESCRIPT_NUM_THREADS, ESCRIPT_HOSTFILE, ESCRIPT_CREATESTDFILES
36    
37 jfenwick 3047 HOSTFILE=/tmp/escript.$USER.$$
38 jfenwick 2409
39 caltinay 5266 die () {
40     echo "Error: $@" 1>&2
41     exit 1
42     }
43    
44 jfenwick 2409 #Begin finding ESCRIPT_ROOT
45 caltinay 2806 if [ $STDLOCATION -ne 0 ]
46 jfenwick 2409 then
47 jfenwick 5599 #Package building scripts will replace this line
48 jfenwick 6493 ESCRIPT_ROOT=@@ESROOT
49 jfenwick 2409 else
50 caltinay 4031 # We don't know the escript root so we need to work it out from the invocation
51     # Need to match if the name contains /
52 caltinay 4927 if $(echo $0|grep -q /)
53 jfenwick 2409 then
54     # We are not using the PATH to find the script
55 caltinay 4970 cd "$(dirname $0)"
56     scriptdir=$(pwd)
57 caltinay 3388 cd "$CURDIR"
58 jfenwick 2409 else
59 caltinay 4927 # name does not contain / therefore we are using
60 caltinay 4970 tscriptdir=$(which $0)
61 caltinay 3096 if [ $? -ne 0 ]
62 jfenwick 2409 then
63 caltinay 5266 die "Unable to determine script directory!"
64 jfenwick 2409 fi
65 caltinay 4970 scriptdir=$(dirname $tscriptdir)
66 jfenwick 2409 fi
67    
68 caltinay 3388 cd "$scriptdir/.."
69 caltinay 4970 ESCRIPT_ROOT=$(pwd)
70 jfenwick 2409 cd ..
71 caltinay 4970 ESCRIPT_PARENT=$(pwd)
72 caltinay 3388 cd "$CURDIR"
73 jfenwick 2409
74     fi
75 caltinay 4031 ##### End finding ESCRIPT_ROOT ########
76 jfenwick 2409
77     # if possible please express paths relative to $ESCRIPT_ROOT unless
78     # they are in an unrelated location
79    
80     EXTRA_DYLD_LIBRARY_PATH=""
81     EXTRA_PATH=$ESCRIPT_ROOT/bin
82     EXTRA_PYTHONPATH=$ESCRIPT_ROOT
83    
84 jfenwick 4078 if [ $STDLOCATION -eq 1 ]
85     then
86 jfenwick 5608 EXTRA_LD_LIBRARY_PATH=$ESCRIPT_ROOT/lib
87 jfenwick 4078 else
88     EXTRA_LD_LIBRARY_PATH=$ESCRIPT_ROOT/lib
89     fi
90    
91 jfenwick 4342 BUILDINFO_FILE="$ESCRIPT_ROOT/lib/buildvars"
92     if [ ! -r "$BUILDINFO_FILE" ]; then
93 caltinay 4031 if [ "$1" = "-e" ]; then
94     echo "export LD_LIBRARY_PATH=$EXTRA_LD_LIBRARY_PATH:\$LD_LIBRARY_PATH"
95     echo "export PYTHONPATH=$EXTRA_PYTHONPATH:\$PYTHONPATH"
96     echo "export PATH=$EXTRA_PATH:\$PATH"
97 caltinay 4970 if [ "$(uname)" = "Darwin" ]
98 caltinay 4031 then
99     echo "export DYLD_LIBRARY_PATH=$EXTRA_DYLD_LIBRARY_PATH:$EXTRA_LD_LIBRARY_PATH:\$DYLD_LIBRARY_PATH"
100 caltinay 4927 fi
101 jfenwick 3335 exit 0
102     fi
103 caltinay 5266 die "Unable to read escript build information!"
104 jfenwick 3335 fi
105    
106 caltinay 4031 get_buildvar () {
107 caltinay 4970 echo $(grep "^$1=" "$BUILDINFO_FILE" |cut -d= -f2)
108 jfenwick 3335 }
109    
110 caltinay 6268 PYTHON_MPI_NULL="$ESCRIPT_ROOT/lib/pythonMPI"
111     PYTHON_MPI_REDIRECT="$ESCRIPT_ROOT/lib/pythonMPIredirect"
112     PYTHON_CMD=$(get_buildvar python)
113    
114 jfenwick 2409 HELP_TEXT="
115 caltinay 4031 Usage: run-escript [options] script.py [arguments...]
116 jfenwick 2409 -n nn number of nodes to use
117 gross 3193 -p np number of MPI processes to spawn per node
118 jfenwick 2409 -t nt number of OpenMP threads to use
119     -f file name of MPI hostfile
120 caltinay 4031 -c print compile information for escript and exit
121 jfenwick 2409 -V print escript version and exit
122 caltinay 4927 -i interactive mode
123 jfenwick 2409 -b do not invoke python (run non-python programs)
124     -e print export statements for environment and exit
125     -o redirect output from MPI to files
126     -v print diagnostics
127 caltinay 4031 -x run in new xterm instance
128 caltinay 5239 -m tool run with valgrind {tool=m[emcheck]/c[allgrind]/[cac]h[egrind]}
129 jfenwick 2409 script.py Your python script
130     arguments... The optional command-line arguments to your script
131     "
132    
133     if [ "$1" = "--help" ]; then
134     echo "$HELP_TEXT"
135     exit 0
136     fi
137 caltinay 4031 #==============================================================================
138 jfenwick 2409
139     # Parse the command-line options
140 caltinay 4506 while getopts 'bn:p:t:f:echim:oVvx' option
141 jfenwick 2409 do
142 caltinay 4031 case "$option" in
143     "b") DO_BINARY=y
144     ;;
145 caltinay 4506 "m") DO_VALGRIND=$OPTARG
146 caltinay 4483 ;;
147 caltinay 4031 "n") ESCRIPT_NUM_NODES=$OPTARG
148     ;;
149     "p") ESCRIPT_NUM_PROCS=$OPTARG
150     ;;
151     "t") ESCRIPT_NUM_THREADS=$OPTARG
152     ;;
153     "f") ESCRIPT_HOSTFILE=$OPTARG
154     ;;
155 jfenwick 4342 "c") cat "$BUILDINFO_FILE"
156 caltinay 4031 exit 0
157     ;;
158 caltinay 4970 "V") echo "escript-development(build "$(get_buildvar svn_revision)")"
159 caltinay 4031 exit 0
160     ;;
161     "h") echo "$HELP_TEXT"
162     exit 0
163     ;;
164     "i") DO_INTERACTIVE=y
165     ;;
166     "e") echo "export LD_LIBRARY_PATH=$EXTRA_LD_LIBRARY_PATH:\$LD_LIBRARY_PATH"
167     echo "export PYTHONPATH=$EXTRA_PYTHONPATH:\$PYTHONPATH"
168     echo "export PATH=$EXTRA_PATH:\$PATH"
169 caltinay 4970 if [ "$(uname)" = "Darwin" ]
170 caltinay 4031 then
171     echo "export DYLD_LIBRARY_PATH=$EXTRA_DYLD_LIBRARY_PATH:$EXTRA_LD_LIBRARY_PATH:\$DYLD_LIBRARY_PATH"
172     fi
173     exit 0
174     ;;
175     "o") ESCRIPT_CREATESTDFILES=y
176     ;;
177     "v") ESCRIPT_VERBOSE=y
178     ;;
179     "x") DO_XTERM=y
180     ;;
181     ?) echo "$HELP_TEXT"
182     exit 1
183     ;;
184     esac
185 jfenwick 2409 done
186 caltinay 4970 shift $(($OPTIND - 1))
187 caltinay 5266
188     vlog () {
189     if [ ! -z $ESCRIPT_VERBOSE ]; then
190     echo "$@"
191     fi
192     }
193    
194 jfenwick 2409 #==============================================
195     #
196 caltinay 3178 # Read MPI_FLAVOUR and WITH_OPENMP from the buildvars
197 jfenwick 2409 #
198 caltinay 4970 MPI_FLAVOUR=$(get_buildvar mpi)
199     WITH_OPENMP=$(get_buildvar openmp)
200 jfenwick 2409
201 caltinay 5266 vlog "MPI flavour is $MPI_FLAVOUR."
202     if [ "$WITH_OPENMP" = "1" ]; then
203     vlog "OpenMP enabled."
204     else
205     vlog "OpenMP disabled."
206 caltinay 2806 fi
207    
208 jfenwick 2409 #
209 caltinay 5266 # Add VisIt paths if required
210     #
211     WITH_VISIT=$(get_buildvar visit)
212     if [ "$WITH_VISIT" = "1" ]; then
213     VISIT_BIN=$(which visit 2>/dev/null)
214     if [ $? -eq 0 ]; then
215     VISIT_PY_PATH=$($VISIT_BIN -env | grep LIBPATH | cut -d= -f2)
216     EXTRA_PYTHONPATH=$EXTRA_PYTHONPATH:$VISIT_PY_PATH
217     EXTRA_LD_LIBRARY_PATH=$EXTRA_LD_LIBRARY_PATH:$VISIT_PY_PATH
218     else
219     vlog "Warning: VisIt module enabled but VisIt not in path!"
220     fi
221     fi
222    
223     #
224 jfenwick 2409 # extend path variables
225     #
226     export PATH=$EXTRA_PATH:$PATH
227     export LD_LIBRARY_PATH=$EXTRA_LD_LIBRARY_PATH:$LD_LIBRARY_PATH
228     export PYTHONPATH=$EXTRA_PYTHONPATH:$PYTHONPATH
229     EXPORT_ENV="PATH,LD_LIBRARY_PATH,PYTHONPATH"
230 caltinay 4970 if [ "$(uname)" = "Darwin" ]
231 jfenwick 2409 then
232     export DYLD_LIBRARY_PATH=$EXTRA_DYLD_LIBRARY_PATH:$EXTRA_LD_LIBRARY_PATH:$DYLD_LIBRARY_PATH
233     EXPORT_ENV="$EXPORT_ENV,DYLD_LIBRARY_PATH"
234     fi
235 caltinay 5266 vlog "PATH = $PATH
236     LD_LIBRARY_PATH = $LD_LIBRARY_PATH
237     PYTHONPATH = $PYTHONPATH"
238     if [ ! -z $DYLD_LIBRARY_PATH ]; then
239     vlog "DYLD_LIBRARY_PATH = $DYLD_LIBRARY_PATH"
240 jfenwick 2409 fi
241 caltinay 5266
242 jfenwick 2409 #==============================================
243     #
244     # Ensure the variables have sensible values
245     #
246 caltinay 4927 if [ "$MPI_FLAVOUR" = "none" ]
247 jfenwick 2409 then
248 caltinay 4664 if [ ! -z "$ESCRIPT_NUM_NODES" ]; then
249     if [ $ESCRIPT_NUM_NODES -gt 1 ]; then
250     echo "Warning: MPI disabled but number of nodes set. Option ignored."
251     fi
252 jfenwick 2409 fi
253 caltinay 4664 if [ ! -z "$ESCRIPT_NUM_PROCS" ]; then
254     if [ $ESCRIPT_NUM_PROCS -gt 1 ]; then
255     echo "Warning: MPI disabled but number of processors per node set. Option ignored."
256     fi
257 jfenwick 2409 fi
258 jfenwick 4342 if [ ! -z "$ESCRIPT_HOSTFILE" ]
259 jfenwick 2409 then
260     echo "Warning: MPI disabled but host file is given. Option ignored."
261     fi
262     ESCRIPT_NUM_NODES=1
263     ESCRIPT_NUM_PROCS=1
264     else
265 jfenwick 3056 # use the PBS_NODEFILE if not otherwise specified
266 jfenwick 4342 if [ ! -z "$PBS_NODEFILE" ] && [ -z "$ESCRIPT_HOSTFILE" ]
267 jfenwick 3056 then
268 caltinay 3178 ESCRIPT_HOSTFILE=$PBS_NODEFILE
269 jfenwick 3056 fi
270    
271 caltinay 4927 if [ ! -z "$ESCRIPT_HOSTFILE" ]
272 jfenwick 2409 then
273 jfenwick 4342 if [ -f "$ESCRIPT_HOSTFILE" ]
274 jfenwick 2409 then
275 caltinay 5266 sort -u "${ESCRIPT_HOSTFILE}" > $HOSTFILE
276     HOSTLIST=$(awk 'BEGIN{S=""}{if (S == "") { S = $0 } else {S = S "," $0}}END{print S}' "$HOSTFILE")
277    
278 caltinay 5275 NUM_HOSTS=$(cat "$HOSTFILE" | wc -l)
279 caltinay 4927 if [ ! -z $ESCRIPT_NUM_NODES ]
280 jfenwick 2409 then
281 jfenwick 5719 if [ $NUM_HOSTS -lt $ESCRIPT_NUM_NODES ]
282 jfenwick 2409 then
283 jfenwick 5719 die "Number of requested nodes must not exceed the number of entries selected in the host file $ESCRIPT_HOSTFILE. You asked for $ESCRIPT_NUM_NODES from $NUM_HOSTS."
284 jfenwick 2409 fi
285     else
286     ESCRIPT_NUM_NODES=$NUM_HOSTS
287     fi
288     else
289 caltinay 5266 die "Cannot find hostfile $ESCRIPT_HOSTFILE!"
290 jfenwick 2409 fi
291     else
292 caltinay 5266 echo "localhost" > $HOSTFILE
293     HOSTLIST="localhost"
294 jfenwick 2409 fi
295    
296     if [ -z $ESCRIPT_NUM_NODES ]
297     then
298 caltinay 3178 ESCRIPT_NUM_NODES=1
299 jfenwick 2409 fi
300    
301     if [ -z $ESCRIPT_NUM_PROCS ]
302     then
303 caltinay 3178 ESCRIPT_NUM_PROCS=1
304 jfenwick 2409 fi
305    
306 caltinay 5266 vlog "ESCRIPT_NUM_NODES = $ESCRIPT_NUM_NODES\nESCRIPT_NUM_PROCS = $ESCRIPT_NUM_PROCS"
307 jfenwick 2409 fi
308    
309 jfenwick 3259 if [ "$WITH_OPENMP" = "1" ]
310 jfenwick 2409 then
311 caltinay 5266 if [ -z $ESCRIPT_NUM_THREADS ]
312     then
313 jfenwick 2409 ESCRIPT_NUM_THREADS=$OMP_NUM_THREADS
314     if [ -z $ESCRIPT_NUM_THREADS ]
315     then
316 caltinay 5266 ESCRIPT_NUM_THREADS=1
317 jfenwick 2409 fi
318 caltinay 5266 fi
319     vlog "ESCRIPT_NUM_THREADS = $ESCRIPT_NUM_THREADS"
320 jfenwick 2409 else
321 caltinay 5266 if [ ! -z $ESCRIPT_NUM_THREADS ] && [ $ESCRIPT_NUM_THREADS != 1 ]
322     then
323     echo "Warning: OpenMP is disabled but number of threads requested is $ESCRIPT_NUM_THREADS!=1. Option ignored."
324     fi
325     ESCRIPT_NUM_THREADS=1
326 jfenwick 2409 fi
327 caltinay 5266
328 jfenwick 2409 #
329     # Now we compute total number of Processes
330     #
331 caltinay 4031 TOTPROC=$((ESCRIPT_NUM_NODES * ESCRIPT_NUM_PROCS))
332 caltinay 5266 if [ $? -ne 0 ] #Some compute error
333 caltinay 4031 then #This could happen if the args were not a number
334 caltinay 5266 die "Expression of total number of processors = $ESCRIPT_NUM_NODES * $ESCRIPT_NUM_PROCS is not numerical!"
335 jfenwick 2409 fi
336    
337 caltinay 5404 # set up thread binding if unset -- disabled by default because it interfers
338     # with MPI binding
339     #if [ "$OMP_PROC_BIND" = "" ]; then
340     # #Force OpenMP binding for Intel (and GCC, though GCC is on by default)
341     # export OMP_PROC_BIND=true
342     #fi
343     #if [ "$KMP_AFFINITY" = "" ]; then
344     # #Set the style of binding (overrides OMP_PROC_BIND in many cases)
345     # export KMP_AFFINITY=verbose,compact
346     #fi
347 caltinay 5266
348 jfenwick 2409 #
349     # Test to ensure people aren't trying to combine interactive and multi-process
350     #
351 caltinay 4058 if ([ ! -z $DO_INTERACTIVE ] || [ $# -eq 0 ]) && ([ $TOTPROC -gt 1 ])
352 jfenwick 2409 then
353 caltinay 5266 die "Interactive mode cannot be used with more than one process!"
354 jfenwick 2409 fi
355    
356 caltinay 4927 if [ $TOTPROC -gt 1 ]
357 jfenwick 2409 then
358 caltinay 4322 if [ "$ESCRIPT_CREATESTDFILES" = "y" ]
359 caltinay 3178 then
360     PYTHON_MPI=$PYTHON_MPI_REDIRECT
361     else
362     PYTHON_MPI=$PYTHON_MPI_NULL
363     fi
364 jfenwick 2409 else
365     PYTHON_MPI=$PYTHON_MPI_NULL
366     fi
367 caltinay 4031 #==============================================================================
368 jfenwick 2409 # Must have at least one command-line arg: the python script
369     if [ $# -eq 0 ]
370     then
371 caltinay 4031 if [ ! -z $DO_BINARY ]
372 caltinay 3178 then
373 caltinay 5266 die "No program to run was specified!"
374 caltinay 3178 else
375 caltinay 4031 DO_INTERACTIVE=y
376 caltinay 3178 fi
377 jfenwick 2409 fi
378    
379 caltinay 4031 #==============================================================================
380 caltinay 4483
381 caltinay 4031 if [ ! -z $DO_XTERM ]
382 jfenwick 2409 then
383 caltinay 4031 EXEC_CMD="xterm -e"
384 jfenwick 2409 else
385 caltinay 4031 EXEC_CMD=""
386     fi
387    
388 caltinay 4483 if [ ! -z "$DO_VALGRIND" ]
389     then
390 caltinay 4970 VALGRIND_BIN=$(which valgrind 2>/dev/null)
391 caltinay 4483 if [ $? -eq 0 ]; then
392 caltinay 4506 LOGDIR=$ESCRIPT_ROOT/valgrind_logs
393 caltinay 4483 [ -d $LOGDIR ] || mkdir $LOGDIR
394 caltinay 4970 VG_TOOL=$(echo $DO_VALGRIND | awk '{ s=substr($0,1,1);print s;}')
395     if [ $VG_TOOL = "c" ];
396 caltinay 4506 then
397     # run callgrind
398     LOGFILE=${LOGDIR}/callgrind.%p.xml
399     VALGRIND="valgrind --tool=callgrind --callgrind-out-file=$LOGFILE"
400     EXEC_CMD="$EXEC_CMD $VALGRIND"
401 caltinay 5239 elif [ $VG_TOOL = "h" ];
402     then
403     # run cachegrind
404     LOGFILE=${LOGDIR}/cachegrind.%p.xml
405     VALGRIND="valgrind --tool=cachegrind --cachegrind-out-file=$LOGFILE"
406     EXEC_CMD="$EXEC_CMD $VALGRIND"
407 caltinay 4506 else
408     # run memcheck by default
409 caltinay 4970 LAST_N=$(ls -1 $LOGDIR|grep "^memcheck"|tail -1|cut -d. -f2)
410     NEW_N=$(printf "%04d" $((LAST_N + 1)))
411 caltinay 5491 LOGFILE=${LOGDIR}/memcheck.${NEW_N}.%p.xml
412     VALGRIND="valgrind --tool=memcheck --xml=yes --show-reachable=yes --error-limit=no --suppressions=$ESCRIPT_ROOT/scripts/escript.supp --leak-check=full --xml-file=$LOGFILE"
413 caltinay 4506 EXEC_CMD="$EXEC_CMD $VALGRIND"
414     fi
415 caltinay 4483 else
416 caltinay 5266 die "Execution with valgrind requested but valgrind not in path!"
417 caltinay 4483 fi
418     fi
419    
420 caltinay 4031 if [ ! -z $DO_BINARY ]
421     then
422     EXEC_CMD="$EXEC_CMD $@"
423     else
424 caltinay 3178 # Check to see if the python version we were compiled with matches the
425     # one of PYTHON_CMD.
426 caltinay 4970 compfull=$(get_buildvar python_version)
427     compversion=$(echo $compfull | cut -d. -f1,2)
428     compmajor=$(echo $compfull | cut -d. -f1)
429 caltinay 4031 if [ "$PYTHON_CMD" = "python" ] # if people have customised the command they
430 jfenwick 3892 then # might not want us changing it
431     if [ "$compmajor" = "3" ]
432     then
433     PYTHON_CMD=python3
434     fi
435     fi
436 caltinay 4970 intversion=$($PYTHON_CMD -c 'from __future__ import print_function;import sys;print("%d.%d"%(sys.version_info[0], sys.version_info[1]))')
437 caltinay 3178 if [ "$compversion" != "$intversion" ]
438     then
439 caltinay 5266 die "Python versions do not match. Escript was compiled for '$compversion'.
440     Current version of Python appears to be '$intversion'."
441 caltinay 3178 fi
442 caltinay 2806 if [ "$MPI_FLAVOUR" = "none" ]
443 jfenwick 2409 then
444 caltinay 4031 if [ ! -z $DO_INTERACTIVE ]
445 jfenwick 2409 then
446 caltinay 4031 EXEC_CMD="$EXEC_CMD $PYTHON_CMD -i $@"
447 jfenwick 2409 else
448 caltinay 4031 EXEC_CMD="$EXEC_CMD $PYTHON_CMD $@"
449 jfenwick 2409 fi
450     else
451 caltinay 4031 if [ ! -z $DO_INTERACTIVE ]
452 gross 2865 then
453 caltinay 4031 EXEC_CMD="$EXEC_CMD $PYTHON_MPI -i $@"
454 gross 2865 else
455 caltinay 4031 EXEC_CMD="$EXEC_CMD $PYTHON_MPI $@"
456 gross 2865 fi
457 jfenwick 2409 fi
458     fi
459 caltinay 5266 vlog "Command to be executed is \"$EXEC_CMD\""
460 caltinay 4031 #==============================================================================
461 jfenwick 2409 #
462 caltinay 4031 # now we start to spawn things:
463 jfenwick 2409 #
464 jfenwick 3259 if [ "$WITH_OPENMP" = "1" ]
465 jfenwick 2409 then
466     export OMP_NUM_THREADS=$ESCRIPT_NUM_THREADS
467     EXPORT_ENV="$EXPORT_ENV,OMP_NUM_THREADS"
468     fi
469    
470 jfenwick 5814 if [ "$MPI_FLAVOUR" = "OPENMPI" ]
471     then
472     if [ -z `which rsh``which ssh` ]
473     then
474 jfenwick 6250 AGENTOVERRIDE="--gmca plm_rsh_agent /bin/false"
475 jfenwick 5814 fi
476     fi
477    
478 caltinay 5266 vlog "Pre-launch command: \"@@PRELAUNCH\""
479     @@PRELAUNCH
480     vlog "Launch command: \"@@LAUNCH\""
481     @@LAUNCH
482     EXIT_CODE=$?
483     vlog "Post-launch command: \"@@POSTLAUNCH\""
484     @@POSTLAUNCH
485 gross 2510
486 caltinay 4970 if [ ! -z "$DO_VALGRIND" ]; then
487     echo "Valgrind log file written to ${LOGFILE}"
488     fi
489    
490 caltinay 5266 rm -f $HOSTFILE
491    
492 jfenwick 2409 exit $EXIT_CODE
493 caltinay 4031

Properties

Name Value
svn:mergeinfo /branches/3.4/bin/run-escript:4453-4490 /branches/4.0fordebian/run-escript.in:5567-5588 /branches/diaplayground/bin/run-escript:4940-5147 /branches/lapack2681/bin/escript:2682-2741 /branches/pasowrap/bin/run-escript:3661-3674 /branches/py3_attempt2/bin/run-escript:3871-3891 /branches/release3.4/bin/run-escript:4452 /branches/restext/bin/escript:2610-2624 /branches/ripleygmg_from_3668/bin/run-escript:3669-3791 /branches/stage3.0/bin/escript:2569-2590 /branches/symbolic_from_3470/bin/run-escript:3471-3974 /branches/symbolic_from_3470/ripley/test/python/bin/run-escript:3517-3974 /branches/trilinos_from_5897/run-escript.in:5898-6118 /release/3.0/bin/escript:2591-2601 /release/4.0/run-escript.in:5380-5406 /trunk/ripley/test/python/bin/run-escript:3480-3515

  ViewVC Help
Powered by ViewVC 1.1.26